<?
include 'mysql.php';
include_once("include/sesi.php");
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("include/antixak.php");
include 'include/ini.php';
$_title = 'Linewap2';
include 'include/header2.php';
$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
/////////////////////////////////////////////////////
$text = @file("MySql/base123/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}
////////////////////////////////////////////////////////
if (isset($user)) {


switch($go) {

default:

echo "<form action=\"sellrukshmot.php?$sd&go=go&name=$name&id=$id\" method=\"post\"><small>Цена:</small><br/>";
echo "<input name=\"cena\" maxlength=\"10\" title=\"*N\" emptyok=\"true\"/><br/>";
echo '<input type="submit" value="Продать!" /></form>';
break;

case 'go':

$id = htmlspecialchars(stripslashes($id));
$cena = htmlspecialchars(stripslashes($cena));
$text = htmlspecialchars(stripslashes($_POST[text]));

if(eregi("[^0-9]",$cena)){echo"<small>Вводите число, а не буквы!</small>"; include_once"include/down.php"; exit;}


$file = @file("MySql/base123/item/$log.dat");
$file = array_reverse($file);
$data = explode(":||:",$file[$id]);

if(empty($cena)){echo"<small>Вы не ввели цену товара.</small>"; include_once"include/down.php"; exit;}

if($udata[10]==$name){ echo"<small>Сначало снимите вещь, потом продавайте.</small>"; include_once"include/down.php"; exit;}
if($udata[11]==$name){ echo"<small>Сначало снимите вещь, потом продавайте.</small>"; include_once"include/down.php"; exit;}
if($udata[12]==$name){ echo"<small>Сначало снимите вещь, потом продавайте.</small>"; include_once"include/down.php"; exit;}
if($udata[13]==$name){ echo"<small>Сначало снимите вещь, потом продавайте.</small>"; include_once"include/down.php"; exit;}
if($udata[52]==$name){ echo"<small>Сначало снимите вещь, потом продавайте.</small>"; include_once"include/down.php"; exit;}
if($udata[53]==$name){ echo"<small>Сначало снимите вещь, потом продавайте.</small>"; include_once"include/down.php"; exit;}
if($udata[54]==$name){ echo"<small>Сначало снимите вещь, потом продавайте.</small>"; include_once"include/down.php"; exit;}
if($name!==$data[4]){echo"<small>У вас нет такой вещи!</small>"; include_once"include/down.php"; exit; }
if($data[4]=="Draconic Leather Armor" || $data[4]=="Draconic Leather Armor*1" || $data[4]=="Draconic Leather Armor*2" || $data[4]=="Draconic Leather Armor*3" || $data[4]=="Draconic Leather Armor*4" || $data[4]=="Draconic Leather Armor*5" || $data[4]=="Talum Blade" || $data[4]=="Talum Blade*1" || $data[4]=="Talum Blade*2" || $data[4]=="Talum Blade*3" || $data[4]=="Talum Blade*4" || $data[4]=="Talum Blade*5" || $data[4]=="Talum Blade*6" || $data[4]=="Talum Blade*7" || $data[4]=="Talum Blade*8" || $data[4]=="Talum Blade*9" || $data[4]=="Talum Blade*10" || $data[4]=="Talum Blade*11" || $data[4]=="Talum Blade*12" || $data[4]=="Talum Blade*13" || $data[4]=="Talum Blade*14" || $data[4]=="Talum Blade*15" || $data[4]=="Talum Blade*16" || $data[4]=="Talum Blade*17" || $data[4]=="Talum Blade*18" || $data[4]=="Talum Blade*19" || $data[4]=="Talum Blade*20" || $data[4]=="Talum Blade*21" || $data[4]=="Talum Blade*22" || $data[4]=="Talum Blade*23" || $data[4]=="Talum Blade*24" || $data[4]=="Talum Blade*25" || $data[4]=="Talum Blade*26" || $data[4]=="Talum Blade*27" || $data[4]=="Talum Blade*28" || $data[4]=="Talum Blade*29" || $data[4]=="Talum Blade*30" || $data[4]=="Olimpiad Diadem" || $data[4]=="Sealed Apella Brigadine*1" || $data[4]=="Sealed Apella Brigadine*2" || $data[4]=="Sealed Apella Brigadine*3" || $data[4]=="Sealed Apella Brigadine*4" || $data[4]=="Sealed Apella Brigadine*5"){
echo"<small>Нельзя продавать вещи из люксор магазина!</small>";
include_once"include/down.php";
exit;
}


$text="$data[0]||$data[1]||$data[2]||$data[3]||$data[4]||$cena||$text||";

$fp=fopen("MySql/base123/sellruk/$log.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$file=file("MySql/base123/item/$log.dat");
$file = array_reverse($file);
$fp=fopen("MySql/base123/item/$log.dat","w");
flock ($fp,LOCK_EX);
for ($i=0;$i< sizeof($file);$i++) { if ($i==$id) {unset($file[$i]);} }
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);


echo"<small>Вещь выставленна на продажу.<br/><a href=\"sellruktime.php?$sd\">Продолжить</a></small>";

break;

}
}else{echo"<small>Пароль или логин неверен!</small>";}

include_once"include/down.php";
?>


